Description

With the GRSF records are going to be updated, there are some records with long spatial fields (see the attachment, e.g. 

https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue?path=/dataset/b9a5ac80-a001-3c20-99ec-6ce387365823)

In order to improve the usability of the Catalogue UI, a "Show More"/"Show Less" facility has to be implemented for the "spatial" field.

History

#2 - May 10, 2022 04:50 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

#3 - May 10, 2022 04:58 PM - Aureliano Gentile

Thanks for this Francesco, indeed in some cases that long list of coordinates is very disturbing.

Yannis was also suggesting to provide that polygon information also under the section "Data and Resources". It might be a useful complementary

information to access under that section.

For your consideration and if not too complex.

#4 - May 11, 2022 03:00 PM - Francesco Mangiacrapa

- File Show_More_to_Epand_the_Polygon_Coordinates.png added

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I've just released an enhancement that provides the "Show More"/"Show Less" facility on (long) "spatial" field.

It is available in the GRSF_PRE, for example see at https://data.d4science.org/ctlg/GRSF_Pre/b9a5ac80-a001-3c20-99ec-6ce387365823 (see also

the "Show_More_to_Epand_the_Polygon_Coordinates.png" attached).

Waiting for feedback. If OK, I will also release it in GRSF and GRSF_ADMIN

#5 - May 11, 2022 04:18 PM - Aureliano Gentile

Thanks a lot, it seems fine and great. Please go ahead.

#6 - May 11, 2022 05:41 PM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

Done.

The facility should be also applied in the GRSF and GRSF_ADMIN VREs.

I'm going to close this ticket.

It will be reopened in case of issues (on this facility) after records republishing in the next few days.
